%define fver 0.11-8

Name:           mp32ogg
Version:        0.11
Release:        %mkrel 24

Summary:        Convert mp3 music files to ogg music files
License:        Artistic
Group:          Sound/Editors and Converters
# Author: Nathan Walp <faceprint@faceprint.com>
Url:            https://packages.debian.org/unstable/sound/mp32ogg
Source0:        mp32ogg_%{fver}.tar.bz2
Patch0:         mp32ogg-0.11-force-filename-stringification.mp3

BuildRequires:  perl
BuildRequires:  perl(MP3::Info)
BuildRequires:  perl(String::ShellQuote)

BuildArch:      noarch

Requires:       mpg123
Requires:       perl
Requires:       vorbis-tools

%description
Perl script to convert MP3 files into Ogg Vorbis format. It is able to
read ID3 tags from MP3 files and correctly tag the Ogg files, as well as
optionally rename them based on those tags.

%prep
%setup -q -n %name
# fix https://qa.mandriva.com/show_bug.cgi?id=53477
%autopatch -p0

%build

%install
install -m 755 -D %name  %{buildroot}%{_bindir}/%{name}
perl -c %{buildroot}%{_bindir}/%{name}

echo -e "%{name}\n\nAuthor: Nathan Walp <faceprint@faceprint.com>\nLicense: Artistic\n" > README

%files
%doc README 
%{_bindir}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.11-24.mga10
+ Revision: 2197553
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.11-23.mga9
+ Revision: 1801895
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.11-22.mga8
+ Revision: 1492115
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.11-21.mga7
+ Revision: 1264507
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 0.11-20.mga6
+ Revision: 940199
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.11-19.mga5
+ Revision: 740971
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.11-17.mga4
+ Revision: 508061
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.11-16.mga3
+ Revision: 360325
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 malo <malo> 0.11-15.mga3
+ Revision: 324679
- spec clean-up
- update RPM group

* Fri Apr 08 2011 obgr_seneca <obgr_seneca> 0.11-14.mga1
+ Revision: 82170
- cleaned up spec file
- removed buildroot tag
- imported package mp32ogg


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.11-13mdv2011.0
+ Revision: 606658
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.11-12mdv2010.1
+ Revision: 523361
- rebuilt for 2010.1

* Wed Sep 09 2009 Jérôme Quelin <jquelin@mandriva.org> 0.11-11mdv2010.0
+ Revision: 435646
- forgot to commit patch
- fix 53477

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.11-10mdv2010.0
+ Revision: 426164
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.11-9mdv2009.0
+ Revision: 223316
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.11-7mdv2008.1
+ Revision: 153231
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 09 2007 Götz Waschk <waschk@mandriva.org> 0.11-6mdv2008.0
+ Revision: 60747
- switch to the Debian fork


* Wed Feb 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.11-5mdv2007.0
+ Revision: 123640
- rebuild
- Import mp32ogg

* Mon Sep 06 2004 Michael Scherer <misc@mandrake.org> 0.11-4mdk
- Rebuild
- use %%doc
- remove Packager tag
- use perl-autorequires

